org.glassfish.jersey.uri

## Enum UriComponent.Type

- java.lang.Object
- - java.lang.Enum<UriComponent.Type>
  - - org.glassfish.jersey.uri.UriComponent.Type

All Implemented Interfaces:
  Serializable, Comparable<UriComponent.Type>

Enclosing class:
  UriComponent

    public static enum UriComponent.Type
    extends Enum<UriComponent.Type>

The URI component type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTHORITY` The URI authority component type.
`FRAGMENT` The URI fragment component type.
`HOST` The URI host component type.
`MATRIX_PARAM` The URI path component type that is a matrix parameter.
`PATH` The URI path component type.
`PATH_SEGMENT` The URI path component type that is a path segment.
`PORT` The URI port component type.
`QUERY` The URI query component type, encoded using application/x-www-form-urlencoded rules.
`QUERY_PARAM` The URI query component type that is a query parameter, encoded using application/x-www-form-urlencoded rules (space character is encoded as `+`).
`QUERY_PARAM_SPACE_ENCODED` The URI query component type that is a query parameter, encoded using application/x-www-form-urlencoded (space character is encoded as `%20`).
`SCHEME` The URI scheme component type.
`UNRESERVED` ALPHA / DIGIT / "-" / "." / "_" / "~" characters.
`USER_INFO` The URI user info component type.

### Method Summary

All Methods Static Methods Concrete Methods
`static UriComponent.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UriComponent.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNRESERVED

    public static final UriComponent.Type UNRESERVED

ALPHA / DIGIT / "-" / "." / "_" / "~" characters.

#### SCHEME

    public static final UriComponent.Type SCHEME

The URI scheme component type.

#### AUTHORITY

    public static final UriComponent.Type AUTHORITY

The URI authority component type.

#### USER_INFO

    public static final UriComponent.Type USER_INFO

The URI user info component type.

#### HOST

    public static final UriComponent.Type HOST

The URI host component type.

#### PORT

    public static final UriComponent.Type PORT

The URI port component type.

#### PATH

    public static final UriComponent.Type PATH

The URI path component type.

#### PATH_SEGMENT

    public static final UriComponent.Type PATH_SEGMENT

The URI path component type that is a path segment.

#### MATRIX_PARAM

    public static final UriComponent.Type MATRIX_PARAM

The URI path component type that is a matrix parameter.

#### QUERY

    public static final UriComponent.Type QUERY

The URI query component type, encoded using application/x-www-form-urlencoded rules.

#### QUERY_PARAM

    public static final UriComponent.Type QUERY_PARAM

The URI query component type that is a query parameter, encoded using application/x-www-form-urlencoded rules (space character is encoded as `+`).

#### QUERY_PARAM_SPACE_ENCODED

    public static final UriComponent.Type QUERY_PARAM_SPACE_ENCODED

The URI query component type that is a query parameter, encoded using application/x-www-form-urlencoded (space character is encoded as `%20`).

#### FRAGMENT

    public static final UriComponent.Type FRAGMENT

The URI fragment component type.

### Method Detail

#### values

    public static UriComponent.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UriComponent.Type c : UriComponent.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UriComponent.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null